Package org.jfree.layouting.renderer.text

## Class Glyph

- java.lang.Object
- - org.jfree.layouting.renderer.text.Glyph

-     public final class Glyph
      extends java.lang.Object

  A glyph represents a printable textual item. It can span more than one codepoint (if it is a compound glyph).
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `LETTER` |
    `static int` | `SPACE_CHAR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Glyph​(int codepoint, int breakWeight, int classification, org.pentaho.reporting.libraries.fonts.text.Spacing spacing, int width, int height, int baseLine, int kerning, int[] extraChars)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getBaseLine​()` |
    `int` | `getBreakWeight​()` |
    `int` | `getClassification​()` |
    `int` | `getCodepoint​()` |
    `int[]` | `getExtraChars​()` |
    `int` | `getHeight​()` |
    `int` | `getKerning​()` |
    `org.pentaho.reporting.libraries.fonts.text.Spacing` | `getSpacing​()` |
    `int` | `getWidth​()` |
    `int` | `hashCode​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SPACE_CHAR

          public static final int SPACE_CHAR

      See Also:
        Constant Field Values

    - #### LETTER

          public static final int LETTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Glyph

          public Glyph​(int codepoint,
                       int breakWeight,
                       int classification,
                       org.pentaho.reporting.libraries.fonts.text.Spacing spacing,
                       int width,
                       int height,
                       int baseLine,
                       int kerning,
                       int[] extraChars)

  - ### Method Detail

    - #### getClassification

          public int getClassification​()

    - #### getExtraChars

          public int[] getExtraChars​()

    - #### getBaseLine

          public int getBaseLine​()

    - #### getCodepoint

          public int getCodepoint​()

    - #### getBreakWeight

          public int getBreakWeight​()

    - #### getSpacing

          public org.pentaho.reporting.libraries.fonts.text.Spacing getSpacing​()

    - #### getWidth

          public int getWidth​()

    - #### getHeight

          public int getHeight​()

    - #### getKerning

          public int getKerning​()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`